PipeWire 1.4.10

Loading...
Searching...
No Matches
impl-client.h File Reference
Implementation API » Client Impl

pipewire/impl-client.h More...

Go to the source code of this file.

## Data Structures
struct | pw_impl_client_events
| The events that a client can emit. More...

## Macros
#define | PW_VERSION_IMPL_CLIENT_EVENTS 0

## Functions
struct pw_impl_client * | pw_context_create_client (struct pw_impl_core *core, struct pw_protocol *protocol, struct pw_properties *properties, size_t user_data_size)
| Create a new client.
void | pw_impl_client_destroy (struct pw_impl_client *client)
| Destroy a previously created client.
int | pw_impl_client_register (struct pw_impl_client *client, struct pw_properties *properties)
| Finish configuration and register a client.
void * | pw_impl_client_get_user_data (struct pw_impl_client *client)
| Get the client user data.
const struct pw_client_info * | pw_impl_client_get_info (struct pw_impl_client *client)
| Get the client information.
int | pw_impl_client_update_properties (struct pw_impl_client *client, const struct spa_dict *dict)
| Update the client properties.
int | pw_impl_client_update_permissions (struct pw_impl_client *client, uint32_t n_permissions, const struct pw_permission *permissions)
| Update the client permissions.
int | pw_impl_client_check_permissions (struct pw_impl_client *client, uint32_t global_id, uint32_t permissions)
| check if a client has permissions for global_id, Since 0.3.9
const struct pw_properties * | pw_impl_client_get_properties (struct pw_impl_client *client)
| Get the client properties.
struct pw_context * | pw_impl_client_get_context (struct pw_impl_client *client)
| Get the context used to create this client.
struct pw_protocol * | pw_impl_client_get_protocol (struct pw_impl_client *client)
| Get the protocol used to create this client.
struct pw_resource * | pw_impl_client_get_core_resource (struct pw_impl_client *client)
| Get the client core resource.
struct pw_resource * | pw_impl_client_find_resource (struct pw_impl_client *client, uint32_t id)
| Get a resource with the given id.
struct pw_global * | pw_impl_client_get_global (struct pw_impl_client *client)
| Get the global associated with this client.
struct pw_mempool * | pw_impl_client_get_mempool (struct pw_impl_client *client)
| Get the mempool associated with this client, Since 0.3.74.
void | pw_impl_client_add_listener (struct pw_impl_client *client, struct spa_hook *listener, const struct pw_impl_client_events *events, void *data)
| listen to events from this client
void | pw_impl_client_set_busy (struct pw_impl_client *client, bool busy)
| Mark the client busy.

## Detailed Description

pipewire/impl-client.h